﻿using System.Collections.Generic;
using System.Drawing;

namespace TestProject
{
    /// <summary>
    /// 노드
    /// </summary>
    public class Node
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 노드 ID
        /// </summary>
        public int ID;

        /// <summary>
        /// 노드 위치
        /// </summary>
        public Point Location;

        /// <summary>
        /// 링크 딕셔너리
        /// </summary>
        public Dictionary<int, Link> LinkDictionary = new Dictionary<int, Link>();

        /// <summary>
        /// 거리
        /// </summary>
        /// <remarks>경로 트리에서 루트로부터 거리</remarks>
        public int Distance;

        /// <summary>
        /// 상태
        /// </summary>
        /// <remarks>경로 트리 상태</remarks>
        public NodeStatus Status;

        /// <summary>
        /// IN 링크
        /// </summary>
        public Link InLink;

        #endregion
    }
}